Package org.kapott.hbci.swift

## Class Swift

- java.lang.Object
- - org.kapott.hbci.swift.Swift

    public class Swift
    extends java.lang.Object

### Constructor Summary

Constructors
`Swift()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `decodeUmlauts​(java.lang.String st)`
`static java.lang.String` `getMultiTagValue​(java.lang.String st, java.lang.String tag)`
`static java.lang.String` `getOneBlock​(java.lang.StringBuffer stream)`
`static java.lang.String` `getTagValue​(java.lang.String st, java.lang.String tag, int counter)`
`static java.lang.String` `packMulti​(java.lang.String st)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Swift

    public Swift()

### Method Detail

#### getOneBlock

    public static java.lang.String getOneBlock​(java.lang.StringBuffer stream)

#### getTagValue

    public static java.lang.String getTagValue​(java.lang.String st,
                                               java.lang.String tag,
                                               int counter)

#### packMulti

    public static java.lang.String packMulti​(java.lang.String st)

#### getMultiTagValue

    public static java.lang.String getMultiTagValue​(java.lang.String st,
                                                    java.lang.String tag)

#### decodeUmlauts

    public static java.lang.String decodeUmlauts​(java.lang.String st)